Bug 649928 - screensaver causes x to crash
screensaver causes x to crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-04 16:19 EDT by Sara L. Uckelman
Modified: 2011-06-28 06:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 06:51:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sara L. Uckelman 2010-11-04 16:19:45 EDT
Description of problem: screensaver causes X to crash


Version-Release number of selected component (if applicable): 


How reproducible: every time


Steps to Reproduce:
1. set "activate screensaver when computer is idle" to be "on"
2. wait
3.
  
Actual results: come back after some uncertain length of time and you have to log back in to X


Expected results: The screensaver runs and I can get back to my session w/o having to log back in.


Additional info:
Comment 1 Rocco 2010-12-21 16:29:17 EST
Having the exact same issue...

I noticed I can re-produce the crash by using the gnome-screensaver settings manager and just clicking back to the "random" option multiple times.

It seems like only certain screensavers are causing the crash, (which is way it takes a couple trys to cycle through the randoms)
Comment 2 Bug Zapper 2011-05-30 10:12:09 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Admin XMLRPC Client 2011-06-21 12:02:31 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Bug Zapper 2011-06-28 06:51:10 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.